# Arguments & Schema

Function signatures are declared with the argument types below. The framework derives Arrow
schemas from these declarations and validates inputs before your function runs. See the
[Argument Serialization](../argument-serialization.md) guide for how these map to the wire.

## Arguments

::: vgi.arguments

## Argument specifications

::: vgi.argument_spec

## Schema helpers

::: vgi.schema_utils
